<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mapping Pipeline: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mapping Pipeline
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>Mapping</b></li><li class="navelem"><b>metrics</b></li><li class="navelem"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">METRICS</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Mapping.metrics.METRICS Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a9fbb0ffa5aa4f8e68c73c83923a82705">__init__</a>(self, sam_file_path, output=None, logger=None, samtools=None)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#ac2edabad5e57f02b0cf01c7d0e5fe981">_integer_mean</a>(self, array)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a0746f01bd9c174e6bb82dfeb3dffd91d">_set_axis</a>(self, ax, factor)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a0161e73998dae4a14d8c3f0cea137d27">bases_per_coverage</a>(self, reference, i)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a4f8651f2c4c88e1a93240d92ed4a78ad">bases_per_coverage_result</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a6db9344a6c279ad264925eeb847c6bb0">cleanup</a>(self)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#ad3ee075cfe567aad410fb57e7ead8215">command</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#aa5606da3f093dcd356f13eee5af86169">compute_metrics</a>(self)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#ab7dcbe19c263339aed16f7e77b33e98f">count_coverage</a>(self, reference)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a4e66b4779386487bce179c2c71f27931">count_mapq</a>(self, reference)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#ace8cd24abd3cb9d001ada857af0c3398">cov_stats</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a2231d31381e10e63cddc78d0fc583975">cov_stats_result</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a78b4da45ed408011c364b3c6153c9b76">coverage_graph</a>(self, reference, i)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a3534b8fe8fe9adb362294b53b0e48448">coverage_graph_result</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a3f7b69ff8ef51c3241240587e3d1a050">coverage_stats</a>(self, reference, i)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#aa53a3f1b9647c7bc0714e70498398917">logger</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a3693164d2bc315acdac997afc7e8b4d5">mapq_graph</a>(self, reference, i)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a6e8cd40fa7ff3ebd179c096653b3e08e">mapq_graph_result</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a98ab6f13420b15454861a7fed91b0f21">output</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a268f52660c3109ebe3b3f1d9942c133b">read_stats</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a67b9632e918ab11389db0f1f02f89f61">read_stats</a>(self)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#ad081e87aa2703d0d88272f9d80807f25">reads_per_quality</a>(self, reference, i)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a7131fd84cfec68543a04075b95079f6c">reads_per_quality_result</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a73df44b441fa253b1790360520a82b4c">reference_coverage_count</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#ae4dace40b650e374c7dfac47181b0cb8">reference_mapq_avg</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a7bed01c775f3ea7d9e7d90223e3457d6">sam</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">Mapping.metrics.METRICS</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
